Bug 36653 - Intellisense dropdown looks messed up
Summary: Intellisense dropdown looks messed up
Status: VERIFIED FIXED
Alias: None
Product: Workbooks & Inspector
Classification: Xamarin
Component: Client: Mac (show other bugs)
Version: 0.3.2
Hardware: Macintosh Mac OS
: --- normal
Target Milestone: ---
Assignee: inspectordev-discuss
URL:
Depends on:
Blocks:
 
Reported: 2015-12-06 09:57 UTC by Tony Fonager
Modified: 2017-02-15 17:09 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Intellisense dropdown (45.78 KB, image/png)
2015-12-06 09:57 UTC, Tony Fonager
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description Tony Fonager 2015-12-06 09:57:25 UTC
Created attachment 14134 [details]
Intellisense dropdown

When you are in the Inspector and use the text input on the left, the Intellisense dropdown appearing after the "." of a control/class, looks really messed up.

It actually seems like long methods/properties wraps and becomes 2 lines, making the first line above the single line items and the seconds line below the single line items.

Please see attached screenshot.



My current versions are :

=== Xamarin Studio ===

Version 5.10.1 (build 3)
Installation UUID: 46c92c88-2a2c-4d97-bb2c-bae71b1484d3
Runtime:
	Mono 4.2.1 (explicit/6dd2d0d)
	GTK+ 2.24.23 (Raleigh theme)

	Package version: 402010102

=== Xamarin.Profiler ===

Version: 0.24.0.0
Location: /Applications/Xamarin Profiler.app/Contents/MacOS/Xamarin Profiler

=== Xamarin.Android ===

Version: 6.0.0.34 (Starter Edition)
Android SDK: /Users/tony/Library/Developer/Xamarin/android-sdk-macosx
	Supported Android versions:
		4.0.3 (API level 15)
		4.4   (API level 19)
		5.0   (API level 21)

SDK Tools Version: 24.3.4
SDK Platform Tools Version: 23.0.0
SDK Build Tools Version: 23.0.1

Java SDK: /usr
java version "1.7.0_71"
Java(TM) SE Runtime Environment (build 1.7.0_71-b14)
Java HotSpot(TM) 64-Bit Server VM (build 24.71-b01, mixed mode)

=== Xamarin Android Player ===

Version: 0.5.5
Location: /Applications/Xamarin Android Player.app

=== Apple Developer Tools ===

Xcode 7.1.1 (9081)
Build 7B1005

=== Xamarin.Mac ===

Not Installed

=== Xamarin.iOS ===

Version: 9.2.1.54 (Business Edition)
Hash: eb4c1ef
Branch: master
Build date: 2015-12-01 02:12:30-0500

=== Xamarin Inspector ===

Version: 0.3.2.3
Hash: 1b526e6
Branch: master
Build date: Tue Nov 17 20:54:30 UTC 2015

=== Build Information ===

Release ID: 510010003
Git revision: f2021a209d66d49cbc0649a6d968b29040e57807
Build date: 2015-12-01 10:43:40-05
Xamarin addins: dfd4f5103e8951edbc8ac24480b53b53c55e04ff
Build lane: monodevelop-lion-cycle6-baseline

=== Operating System ===

Mac OS X 10.11.1
Darwin Tonys-MacBook-Pro.local 15.0.0 Darwin Kernel Version 15.0.0
    Sat Sep 19 15:53:46 PDT 2015
    root:xnu-3247.10.11~1/RELEASE_X86_64 x86_64
Comment 1 Aaron Bockover [MSFT] 2016-04-08 14:17:45 UTC
This is fixed in the 0.6.x and newer releases.